﻿using ComputersShopContracts.BindingModels;
using ComputersShopContracts.SearchModels;
using ComputersShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopContracts.BusinessLogicContracts
{
    public interface IComputerLogic
    {
        List<ComputerViewModel>? ReadList(ComputerSearchModel? model);
        ComputerViewModel? ReadElement(ComputerSearchModel model);
        bool Create(ComputerBindingModel model);
        bool Update(ComputerBindingModel model);
        bool Delete(ComputerBindingModel model);
    }
}
