﻿using ComputersShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopContracts.ViewModels
{
    public class ComputerViewModel : IComputerModel
    {
        public int Id { get; set; }

        [DisplayName("Название компьютера")]
        public string ComputerName { get; set; } = string.Empty;

        [DisplayName("Цена")]
        public double Price { get; set; }

        public Dictionary<int, (IComponentModel, int)> ComputerComponents
        {
            get;
            set;
        } = new();
    }
}
